{
    ll n=A.size();
    ll s=0;
    for(int i=0;i<n;i++)
    {
        s+=A[i];
    }
    ll x=(s+1)/2,cur=n+1;
    vector<int>b;
    vector<bool>y;
    for(int i=0;i<(1<<n);i++)
    {
        ll c=0,r=0;
        for(int j=0;j<n;j++)
        {
            if(i&(1<<j))
            {
                if(c>=x)
                    break;
                c+=A[j];
                r++;
            }
        }
        if(c>=x)
        {
            if(abs(r-(n-r))<cur)
            {
                b.clear();
                y.clear();
                ll u=0;
                for(int j=0;j<n;j++)
                {
                    if(u>=x)
                        break;
                    if(i&(1<<j))
                    {
                    u+=A[j];
                        b.push_back(j);
                        y[j]=1;
                    }
                }
                cur=abs(r-(n-r));
            }
        }
    }
    for(int i=0;i<n;i++)
    {
        if(!y[i])
        b.push_back(i);
    }
    return b;
}